package edu.washington.cac.calfacade.shared.filter;

import edu.washington.cac.calfacade.shared.EventVO;

/**
  A filter that is the boolean NOT of a calendar

  @author Greg Barnes
  @version 1.1
 */
public class NotFilterVO extends FilterVO {
  /** Filter to negate */
  protected FilterVO filter;

  /** Set the filter to filter on
   *
   *  @param val     FilterVO filter to filter on
   */
  public void setFilter(FilterVO val) {
    filter = val;
  }

  /** Get the filter we're filtering on
   *  @return FilterVO     filter we're filtering on
   */
  public FilterVO getFilter() {
    return filter;
  }

  /**
    @return If the filter selects the event
    @param e Event to test
   */
  public boolean match(EventVO e) {
    return !filter.match(e);
  }

  /* ====================================================================
   *                   Copying methods
   * ==================================================================== */

  protected void copyTo(NotFilterVO val) {
    super.copyTo(val);
    val.setFilter((FilterVO)getFilter().clone());
  }

  /* ====================================================================
   *                   Object methods
   * ==================================================================== */

  public String toString() {
    StringBuffer sb = new StringBuffer();

    sb.append("NotFilterVO{id=");
    sb.append(id);
    sb.append(", name=");
    sb.append(getName());
    sb.append("}");

    return sb.toString();
  }

  public Object clone() {
    NotFilterVO f = new NotFilterVO();

    copyTo(f);

    return f;
  }
}
