/*++QueryId.java++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.cap;


import  edu.washington.cac.calendar.icalendar.TextProp;


/**
 * CAP QUERYID property.
 *
 * <PRE>	<!-- for alignment purposes -->&nbsp;
 * Spec:
 *   section:	8.22 [CAP/09]
 *   occurs:	0-1 (VQUERY)
 *   datatypes:	TEXT
 *   default:	---
 *   allowed:	---
 *   params:	xparam (0+)
 * </PRE>
 *
 * @author  slh
 * @version  0.10 2003/01/13 slh
 */
public
class  QueryId
extends  TextProp
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  /**
   * Create a QUERYID property, unset.
   */
  public
  QueryId  (		)
  {
    super( Names.strProp_QueryId );
  }


  /**
   * Create a QUERYID property set to supplied value.
   */
  public
  QueryId  (String	strValue	)
  {
    super( Names.strProp_QueryId , strValue );
  }

}


/* Log:
 *  0.10  2003/01/13  slh
 *        (new year, new version...)
 *        allow Property to take care of allowed params
 *  0.00  2002/11/13  slh
 *        create
 */
/*--QueryId.java------------------------------------------------------------*/
