/*++Restriction.java++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.cap;


/**
 * CAP RESTRICTION property.
 *
 *<PRE>	<!-- for alignment purposes -->&nbsp;
 * Spec:
 *   section:	8.24 [CAP/09]
 *   occurs:	VRIGHT (0+)
 *   datatypes:	CAL-QUERY (1)
 *   default:	---
 *   allowed:	---
 *   params:	xparams(0+)
 *</PRE>
 *
 * @author  slh
 * @version  0.00 2002/12/02 slh
 */
public
class  Restriction
extends  CalQueryProp
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  /**
   * Create a RESTRICTION property, unset.
   */
  public
  Restriction  (		)
  {
    super( Names.strProp_Restriction );
  }


  /**
   * Create a RESTRICTION property set to supplied value.
   */
  public
  Restriction  (String	strValue	)
  {
    super( Names.strProp_Restriction , strValue );
  }

}


/* Log:
 *  0.00  2002/12/02  slh
 *        create
 */
/*--Restriction.java--------------------------------------------------------*/
