/*++TZURL.java++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.icalendar;


import  java.util.Vector;


/**
 * iCalendar TZURL property.
 *
 *<PRE>	<!-- for alignment purposes -->&nbsp;
 *   section:	4.8.3.5 [2445]
 *   occurs:	VTIMEZONE (1)
 *   datatypes:	URI (1)
 *   default:	---
 *   allowed:	---
 *   params:	xparam(0+)
 *</PRE>
 *
 * @author  slh
 * @version  0.00 2003/02/19 slh
 */


public
class  TZURL
extends  URIProp
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  /**
   * Create a TZURL property, unset.
   */
  public
  TZURL  (		)
  {
    super( getCalendarName(  ) );
  }


  /**
   * Create a TZURL property set to the supplied value.
   */
  public
  TZURL  (String	strValue	)
  {
    super( getCalendarName(  ) , strValue );
  }


/*----------------------------------------------------------------------------
 *						Class Public Methods
 *--------------------------------------------------------------------------*/

  static public
  String
  getCalendarName  (		)
  {
    return Names.strProp_TZURL;
  }



/*----------------------------------------------------------------------------
 *						Object Protected Methods
 *--------------------------------------------------------------------------*/

  /**
   * Configures property by populating m_vParam*.
   */
  protected
  void
  configProperty  (		)
  {
    m_vParamZeroPlus = new Vector(  );
    /*void*/m_vParamZeroPlus.add( Config.getParamClass( Names.strParam_X ) );
  }

}


/* Log:
 *  0.00  2003/02/19  slh
 *        create
 */
/*--TZURL.java--------------------------------------------------------------*/
