/* **********************************************************************
    Copyright 2003 Rensselaer Polytechnic Institute.

    All worldwide rights reserved. A license to use, copy, modify and
    distribute this software for noncommercial research purposes only is
    hereby granted, provided that this copyright notice and accompanying
    disclaimer is not modified or removed from the software.

    DISCLAIMER: The software is distributed" AS IS" without any express or
    implied warranty, including but not limited to, any implied warranties
    of merchantability or fitness for a particular purpose or any warrant)'
    of non-infringement of any current or pending patent rights. The authors
    of the software make no representations about the suitability of this
    software for any particular purpose. The entire risk as to the quality
    and performance of the software is with the user. Should the software
    prove defective, the user assumes the cost of all necessary servicing,
    repair or correction. In particular, neither Rensselaer Polytechnic
    Institute, nor the authors of the software are liable for any indirect,
    special, consequential, or incidental damages related to the software,
    to the maximum extent the law permits.
*/

package edu.tests.rpi.cct.uwcal.resources;

import edu.rpi.cct.uwcal.resources.Resources;

import java.util.Locale;

import junit.framework.TestCase;

import org.apache.log4j.Logger;

/** Test the Resources class
 *
 * @author Mike Douglass       douglm@rpi.edu
 */
public class ResourcesTest extends TestCase {
  public void testResources() {
    try {
      Resources res = new Resources();

      log("English: " + Locale.ENGLISH + " " + res.getString("phoneNbr", Locale.ENGLISH));
      log("German: " + Locale.GERMAN + " " + res.getString("phoneNbr", Locale.GERMAN));

      assertSame("Key=phoneNbr", res.getString("phoneNbr", Locale.ENGLISH), "Phone#");
      assertSame("Key=phoneNbr", res.getString("phoneNbr", Locale.GERMAN), "Fon");

      assertNull(res.getString("Very unlikely to be a key"));
    } catch (Throwable t) {
      Logger.getLogger(this.getClass()).warn(t);
    }
  }

  private void log(String msg) {
    Logger.getLogger(this.getClass()).info(msg);
  }
}

